## PhoshFeedbackManager

PhoshFeedbackManager — Sends and configures user feedback

## Functions

PhoshFeedbackManager * | phosh_feedback_manager_new ()
void | phosh_feedback_manager_toggle ()
const char * | phosh_feedback_manager_get_icon_name ()
const char * | phosh_feedback_manager_get_profile ()
void | phosh_feedback_manager_trigger_feedback ()
void | phosh_trigger_feedback ()
void | phosh_connect_feedback ()

## Properties

char * | icon-name | Read
char * | profile | Read

## Types and Values

#define | PHOSH_TYPE_FEEDBACK_MANAGER
| PhoshFeedbackManager

## Object Hierarchy

        GObject
        ╰── PhoshFeedbackManager

## Description

## Functions

### phosh_feedback_manager_new ()

    PhoshFeedbackManager *
    phosh_feedback_manager_new (void);

### phosh_feedback_manager_toggle ()

    void
    phosh_feedback_manager_toggle (PhoshFeedbackManager *self);

### phosh_feedback_manager_get_icon_name ()

    const char *
    phosh_feedback_manager_get_icon_name (PhoshFeedbackManager *self);

### phosh_feedback_manager_get_profile ()

    const char *
    phosh_feedback_manager_get_profile (PhoshFeedbackManager *self);

### phosh_feedback_manager_trigger_feedback ()

    void
    phosh_feedback_manager_trigger_feedback
                                   (PhoshFeedbackManager *self,
                                    const char *event);

### phosh_trigger_feedback ()

    void
    phosh_trigger_feedback (const char *name);

Trigger feedback for the given event asynchronously

#### Parameters

name | The event's name to trigger feedback for |

### phosh_connect_feedback ()

    void
    phosh_connect_feedback (GtkWidget *widget);

Installs "pressed" and "released" signal handlers for haptic feedback.

#### Parameters

widget | The widget that should trigger feedback |

## Types and Values

### PHOSH_TYPE_FEEDBACK_MANAGER

    #define PHOSH_TYPE_FEEDBACK_MANAGER (phosh_feedback_manager_get_type())

### PhoshFeedbackManager

    typedef struct _PhoshFeedbackManager PhoshFeedbackManager;

## Property Details

### The `“icon-name”` property

      “icon-name”                char *

The feedback icon name.

Owner: PhoshFeedbackManager

Flags: Read

Default value: "preferences-system-notifications-symbolic"

### The `“profile”` property

      “profile”                  char *

The feedback profile name.

Owner: PhoshFeedbackManager

Flags: Read

Default value: ""